package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Cliente;
import com.rjconsultores.ventaboletos.entidad.Empresa;

public interface ClienteDAO extends GenericDAO<Cliente, Integer> {

	public List<Cliente> buscar(String nombCliente);

	public Cliente buscarPorNumeroFidelidade(String numeroFidelidade, Empresa empresa);

	public List<Cliente> buscarPorDocumento(String documento);
	
	public Cliente buscarPorNumeroFidelidade(String numeroFidelidade);
}
